Bug 353411 - kmail hangs
kmail hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 19:11 EDT by Steve Grubb
Modified: 2008-08-08 13:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.5.8-10.svn20071129.ent.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-08 13:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2007-10-25 19:11:32 EDT
Description of problem:
After upgrading to the latest for F7, kmail quit working. When I open it, it
says its synchronizing with imap forever. I've let it run for 3hrs and its still
doing something. Strace shows it scrolling this:

ioctl(4, FIONREAD, [0])                 = 0
ioctl(4, FIONREAD, [0])                 = 0
ioctl(4, FIONREAD, [0])                 = 0
ioctl(4, FIONREAD, [0])                 = 0
ioctl(4, FIONREAD, [0])                 = 0
ioctl(4, FIONREAD, [0])                 = 0
ioctl(4, FIONREAD, [0])                 = 0

and ltrace shows this:

_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efea0, 1,
0, 0) = 0
_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efa10, 1,
0, 0) = 0
_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efa10, 1,
0, 0x3a67fd20) = 0
_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efea0, 1,
0, 0) = 0
_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efa10, 1,
0, 0) = 0
_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efa10, 1,
0, 0x3a654f80) = 0
_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efea0, 1,
0, 0) = 0
_ZN12KApplication14x11EventFilterEP7_XEvent(0x7fffb42f0210, 0x7fffb42efa10, 1,
0, 0) = 0

top shows this:
 PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
                                             
4719 sgrubb    20   0 1420m 1.1g  22m R   99 56.3  43:21.94 kmail  

At times, it makes X unresponsive. If it ever gets to a screensaver, it takes a
very long time to log in.

I normally have to read and respond to 600-700 emails a day. They are piling up
right now. I tried reverting it and the old version doesn't work anymore either.

Version-Release number of selected component (if applicable):
kdepim-3.5.7-10.svn20070926.ent.fc7
Comment 1 Rex Dieter 2007-10-26 08:55:23 EDT
Could you provide detail on how you have kmail configured?  acounts types, #'s,
etc.?

Regardless, this would be a good one to report upstream to
http://bugs.kde.org/
to get upstream-dev attention.
Comment 2 Sammy 2007-11-03 09:52:00 EDT
Some of the users in my group are having the exact same problem (I do not use
imap myself). After updating, imap connection hangs kmail forever. I rebuilt
the kdepim package all the way upto svn20071026 with the same problem and
I don't see a fix for this in Nov. 2 release.

After playing with a user's kmail for a while, going to settings, editing the
account settings (no real changes), and saving it, seems to have fixed it for
him. This was Friday so I will see if it still a problem. I have one pop
account and it does not have this problem.
Tnanks
Comment 3 Sammy 2007-11-03 09:57:43 EDT
PS: I forgot to say that I upgraded all arts and kde packages to 3.5.8 following
the F8 packages (I am running F7 with all the updates) and this problem is there.
Comment 4 Steve Grubb 2007-11-03 14:01:34 EDT
In response to comment 2, its an x86_64 machine connecting to imaps, 1 identity,
1 or 2 filters, and over 20000 emails in my inbox. I really need this resolved
asap.  I get a large number of emails everyday and cannot use F7 for email
anymore. Are there specific things you want to know about config? Are there
troubleshooting steps? I tried reverting and apparently this update messes
something up such that reverting doesn't solve the problem.
Comment 5 Rex Dieter 2007-11-03 14:23:16 EDT
If you want movement here, taking this issue upstream (bugs.kde.org) is your
best bet.  All sings so far point to be a migration issue from stock kdepim ->
kdepim-enterprise, and almost certainly not a packaging issue.
Comment 6 Steve Grubb 2007-11-03 14:31:29 EDT
Before I take this upstream, is kdepim-3.5.7-10.svn20070926.ent.fc7 a cvs
snapshot or an officially supported release by KDE?
Comment 7 Rex Dieter 2007-11-03 15:00:38 EDT
It's a snapshot of the kdepim-enterprise branch, which is what is going to
become kdepim-3.5.9 official.
Comment 8 Sammy 2007-11-03 15:56:18 EDT
I can add that the machines we are having problems is also x86_64 but I
do not have i386 to test. If I have time I may try to use the debug
package to see if one can find out where it is happening.
Comment 9 Sammy 2007-11-05 12:01:51 EST
Did you report this upstream?
Comment 10 Steve Grubb 2007-11-07 10:53:04 EST
Yes, I reported it to the kdepim mail list yesterday. No one seems interested. 

I upgraded the machine with the problem to Fedora 8 and the problem is now
fixed. I have no idea what fixed it, but something is wrong with the code being
shipped in F7 and maybe diffing it with Fedora 8's kmail would show what fixed it.
Comment 11 Rex Dieter 2007-11-07 10:57:28 EST
could be kde-3.5.7 vs kde-3.5.8 too.

fwiw, kde-3.5.8 update for F-7 is pending push to updates-testing
Comment 12 Rex Dieter 2007-11-29 19:52:35 EST
Can you try out this test build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=26132
Comment 13 Sammy 2007-11-30 09:04:47 EST
I have a few comments about this and something else:

1. This was happening to one of my users, I did update kdepim from svn
   to no avail. What solved it was to use kontact instead. Access kmail
   from kontact no longer hangs.

2. Rex: The compacting mbox fix was put into the kdepim enterprise svn
        so it is no longer needed.
Comment 14 Fedora Update System 2007-12-03 06:46:42 EST
kdepim-3.5.8-10.svn20071129.ent.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdepim'
Comment 15 Fedora Update System 2007-12-12 14:57:46 EST
kdepim-3.5.8-10.svn20071129.ent.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Steve Grubb 2007-12-18 08:42:55 EST
I have moved along to Fedora 8. kdepim-3.5.8-10.svn20071129.ent.fc8 still hangs.
If you have local folders that filtered results go to and you are using an imap
server, its very common to just have kmail completely hang. Nothing responds.
Clicking around doesn't seem to help. Clicking the close widget evently pops up
a gnome message saying kmail is unresponsive, force quit? When this happens it
does not refresh the screen if you've switched between desktops.

kmail is very unstable. This happens to me at least once an hour.
Comment 17 Sammy 2007-12-18 09:28:35 EST
Did you try using kmail through kontact? Start kontact first and then choose
kmail. You can have kontact display just the kmail if you like. We have solved
this problem this way. It seems like something is going wrong during the
authentiation if one uses kmail solo.
Comment 18 Steve Grubb 2007-12-21 10:36:12 EST
I tried using kmail via kontact and for 3 days it was much better. But it has
also hung requiring a force quit. Running from kontact also loses all the tool
bar customizations that I have made.
Comment 19 Steve Grubb 2008-01-17 09:42:35 EST
kdepim-3.5.8-11.svn20080109.ent.fc8 also hangs requiring a forced quit. It also
turns out that now there are emails that I cannot delete or view. kmail is
steadily becoming worse in quality.
Comment 20 Steve Grubb 2008-05-22 16:51:51 EDT
Moving this bug to Fedora-9 since its still a problem. kmail hangs, if you click
around while its hung it segfaults. It lost an email I sent this morning and
said that its giving up delivering it and I should move it from the outbox to
the Trash. Sometimes when viewing email, the font size suddenly increases
permanently. I can imagine this as a potential security flaw. Sometimes whole
groups of unread email just disappears. Usually it shows up if I quit and
restart kontact. Then sometimes an email turns blank and I can't read it for 12
hours as if it needed to refresh a cache after expiring it. 

The current kmail incarnation is nowhere as stable as it was at F-7 GA.
Comment 21 Steven M. Parrish 2008-07-28 16:54:22 EDT
With the impending release of KDE 4.1 going to close this bug.  If you find its
is still an issue with the new release please feel free to reopen and add
additional comments.
Comment 22 Rex Dieter 2008-07-28 16:56:04 EDT
F-9's kde-4.1 update will *not* include kdepim(4), re-opening...

Comment 23 Steve Grubb 2008-08-08 13:35:00 EDT
Closing. no one seems interested. Kmail segfaulting all the time is the bigger problem now.

Note You need to log in before you can comment on or make changes to this bug.